Subject: Re: HTB - very bad precision? HFSC works fine! 2.6.28

From: Denys Fedoryschenko <[email-masked]>
Date: Thu, 8 Jan 2009 00:44:48 +0200

No, it is completely different disciplines

Here is my rules
http://www.nuclearcat.com/badhtb.txt

On Thursday 08 January 2009 00:40:03 Jorge Bastos wrote:
> Sorry my ignorance, HFSC = CBQ ?
> If not, on CBQ it's not working when I apply the rules that I have in the
> bug report.
> One interesting thing, this when I'm using the 1000Mbit card, if I remove
> the TBF line, it works +/- good on the 1000Mbit card.
>
> ---
> /sbin/tc qdisc add dev eth0 parent 1:1280 handle 1280 tbf rate 200Kbit
> buffer 10Kb/8 limit 15Kb mtu 1500
> ---
>
> > -----Original Message-----
> > From: Denys Fedoryschenko [mailto:[email-masked]]
> > Sent: quarta-feira, 7 de Janeiro de 2009 22:37
> > To: Jorge Bastos
> > Cc: [email-masked]
> > Subject: Re: HTB - very bad precision? HFSC works fine! 2.6.28
> >
> > Well, but byte couting on HFSC works fine.
> >
> > On Thursday 08 January 2009 00:12:30 Jorge Bastos wrote:
> > > I have a similar problem with CBQ that I've been reporting, that may
> >
> > be
> >
> > > related to byte counting also.
> > > It just happens when I use a 1000Mbit NIC.
> > > I've reported it to netfilter@ and created a but report here.
> > > When I insert the old 100Mbit card, it works OK.
> > >
> > > http://bugzilla.kernel.org/show_bug.cgi?id=12364